Search Results for

Show / Hide Table of Contents

# Class SaveDialog

The SaveDialog provides an interactive dialog box for users to pick a file to save.

##### Inheritance

System.Object
Responder
View
Toplevel
Window
Dialog
FileDialog
SaveDialog

##### Implements

System.IDisposable
System.ComponentModel.ISupportInitializeNotification
System.ComponentModel.ISupportInitialize

##### Inherited Members

FileDialog.WillPresent()
FileDialog.Prompt
FileDialog.NameDirLabel
FileDialog.NameFieldLabel
FileDialog.Message
FileDialog.CanCreateDirectories
FileDialog.IsExtensionHidden
FileDialog.DirectoryPath
FileDialog.AllowedFileTypes
FileDialog.AllowsOtherFileTypes
FileDialog.FilePath
FileDialog.Canceled
Dialog.AddButton(Button)
Dialog.ProcessKey(KeyEvent)
Window.Title
Window.Add(View)
Window.Remove(View)
Window.RemoveAll()
Window.Redraw(Rect)
Window.MouseEvent(MouseEvent)
Window.Text
Window.TextAlignment
Toplevel.Running
Toplevel.Loaded
Toplevel.Ready
Toplevel.Unloaded
Toplevel.Create()
Toplevel.CanFocus
Toplevel.Modal
Toplevel.MenuBar
Toplevel.StatusBar
Toplevel.OnKeyDown(KeyEvent)
Toplevel.OnKeyUp(KeyEvent)
Toplevel.ProcessColdKey(KeyEvent)
View.Added
View.Removed
View.Enter
View.Leave
View.MouseEnter
View.MouseLeave
View.MouseClick
View.HotKey
View.HotKeySpecifier
View.Shortcut
View.ShortcutTag
View.ShortcutAction
View.Data
View.Driver
View.Subviews
View.TabIndexes
View.TabIndex
View.TabStop
View.Id
View.IsCurrentTop
View.WantMousePositionReports
View.WantContinuousButtonPressed
View.Frame
View.LayoutStyle
View.Bounds
View.X
View.Y
View.Width
View.Height
View.SuperView
View.SetNeedsDisplay()
View.ClearLayoutNeeded()
View.SetNeedsDisplay(Rect)
View.SetChildNeedsDisplay()
View.Add(View[])
View.BringSubviewToFront(View)
View.SendSubviewToBack(View)
View.SendSubviewBackwards(View)
View.BringSubviewForward(View)
View.Clear()
View.Clear(Rect)
View.ScreenToView(Int32, Int32)
View.ClipToBounds()
View.SetClip(Rect)
View.DrawFrame(Rect, Int32, Boolean)
View.DrawHotString(ustring, Attribute, Attribute)
View.DrawHotString(ustring, Boolean, ColorScheme)
View.Move(Int32, Int32)
View.PositionCursor()
View.HasFocus
View.OnAdded(View)
View.OnRemoved(View)
View.OnEnter(View)
View.OnLeave(View)
View.Focused
View.MostFocused
View.ColorScheme
View.AddRune(Int32, Int32, Rune)
View.ClearNeedsDisplay()
View.DrawContent
View.OnDrawContent(Rect)
View.SetFocus()
View.KeyPress
View.ProcessHotKey(KeyEvent)
View.KeyDown
View.KeyUp
View.EnsureFocus()
View.FocusFirst()
View.FocusLast()
View.FocusPrev()
View.FocusNext()
View.LayoutStarted
View.LayoutComplete
View.Initialized
View.LayoutSubviews()
View.AutoSize
View.VerticalTextAlignment
View.TextDirection
View.IsInitialized
View.ToString()
View.OnMouseEnter(MouseEvent)
View.OnMouseLeave(MouseEvent)
View.OnMouseEvent(MouseEvent)
View.OnMouseClick(View.MouseEventArgs)
View.Dispose(Boolean)
View.BeginInit()
View.EndInit()
View.Visible
View.SetWidth(Int32, Int32)
View.SetHeight(Int32, Int32)
View.GetCurrentWidth(Int32)
View.GetCurrentHeight(Int32)
Responder.Dispose()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class SaveDialog : FileDialog, IDisposable, ISupportInitializeNotification, ISupportInitialize

##### Remarks

To use, create an instance of SaveDialog, and pass it to Run(Func<Exception, Boolean>). This will run the dialog modally, and when this returns, the FileNameproperty will contain the selected file name or null if the user canceled.

### Constructors

#### SaveDialog()

Initializes a new SaveDialog.

##### Declaration

    public SaveDialog()

#### SaveDialog(ustring, ustring)

Initializes a new SaveDialog.

##### Declaration

    public SaveDialog(ustring title, ustring message)

##### Parameters

Type | Name | Description
--- | --- | ---
NStack.ustring | title | The title.
NStack.ustring | message | The message.

### Properties

#### FileName

Gets the name of the file the user selected for saving, or null if the user canceled the SaveDialog.

##### Declaration

    public ustring FileName { get; }

##### Property Value

Type | Description
--- | ---
NStack.ustring | The name of the file.

### Implements

System.IDisposable
System.ComponentModel.ISupportInitializeNotification
System.ComponentModel.ISupportInitialize